package com.sinosig.core.module.dao.po;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;

/**
 * 关系型数据实体表[Table] 对象
 */
public interface ISYXXXTable {

    //建立人
    String getCreateman();
    void setCreateman(String createman);
    //自主系数
    Double getZzxs();
    void setZzxs(Double zzxs);
    //责任限额
    BigDecimal getZrxe();
    void setZrxe(BigDecimal zrxe);
    //费率
    Double getFl();
    void setFl(Double fl);
    //商业险信息标识
    String getSyxxxid();
    void setSyxxxid(String syxxxid);
    //条款代码
    String getTkdm();
    void setTkdm(String tkdm);
    //建立时间
    Timestamp getCreatedate();
    void setCreatedate(Timestamp createdate);
    //平台返回系数
    Double getPtfhxs();
    void setPtfhxs(Double ptfhxs);
    //MD
    String getMd();
    void setMd(String md);
    //更新人
    String getUpdateman();
    void setUpdateman(String updateman);
    //更新时间
    Timestamp getUpdatedate();
    void setUpdatedate(Timestamp updatedate);
    //基准保费
    BigDecimal getJzbf();
    void setJzbf(BigDecimal jzbf);
    //实交保费
    BigDecimal getSjbf();
    void setSjbf(BigDecimal sjbf);
    //不计免赔
    Integer getBjmp();
    void setBjmp(Integer bjmp);
    //商业险信息名称
    String getSyxxxname();
    void setSyxxxname(String syxxxname);
    //条款名称
    String getTkmc();
    void setTkmc(String tkmc);
    //车险单标识
    String getCidid();
    void setCidid(String cidid);
}
